Description

Subject says almost all.

When setting the contrast enhancement to something else then "no stretch", then QGIS also sets the standard deviation to "2",

automatically.

Use of SD should be just a user choice.

This makes certain rasters to load with "strange" colormaps when stretching is used.

Tested on qgis-master.

Associated revisions

Revision 67b698e2 - 2012-04-15 01:22 PM - Alexander Bruy

use standard deviations only when requested (fix #4917)

History

#1 - 2012-01-30 11:06 AM - Maxim Dubinin

Giovanni,

I believe, change back to 0 is not warranted. STD stretches are primarily used for remote sensing data where initial automatic 2 std stretch is common

throughout different software packages. Automatic cutting off of the 5% of tails of the histogram is a good and rather conservative choice.

Can you show which example shows strange results?

Maxim

#2 - 2012-01-30 11:22 AM - Giovanni Manghi

Hi Maxim!

I believe, change back to 0 is not warranted. STD stretches are primarily used for remote sensing data where initial automatic 2 std stretch is

common throughout different software packages. Automatic cutting off of the 5% of tails of the histogram is a good and rather conservative choice.
good to know :)

Can you show which example shows strange results?

truemarble seems to me to load with a "strange" colormap when using stretching (and so the STD to 2)

http://download.gfoss.it/TrueMarble/TrueMarble-2km.sqlite

I have also a bunch of coloured military maps that looks strange with STD to 2.

Nevertheless with a STD 1.7 they both looks ok.

In any case there is something weird/wrong with STD as I can see clearly that the STD configuration "comes and go" when opening the raster properties.

I also notice that if I choose another STD value in the raster properties, then I click "apply", then nothing happens. If I save the new value and then reload

the raster then I see the expected colormap changes.

#3 - 2012-01-30 11:23 AM - Giovanni Manghi

I have also a bunch of coloured military maps that looks strange with STD to 2.

in particular the white is not... white.

#4 - 2012-04-15 04:30 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"67b698e21f6e8487422de7152c7d6e6843f62256".

#5 - 2012-04-15 04:31 AM - Alexander Bruy

- Resolution set to fixed
